Search documentation of wx

# View Source wxAuiManagerEvent (wx v2.4.3)

Event used to indicate various actions taken with `wxAuiManager`.

See `wxAuiManager` for available event types.

See:

- `wxAuiManager`

- `wxAuiPaneInfo`

This class is derived, and can use functions, from:

- `wxEvent`

wxWidgets docs: wxAuiManagerEvent

## Events

Use `wxEvtHandler:connect/3` with `wxAuiManagerEventType` to subscribe to events of this type.

# Summary

## Types

wxAuiManager()
wxAuiManagerEvent()
wxAuiManagerEventType()

## Functions

canVeto(This)

Return: true if this event can be vetoed.

getButton(This)

Return: The ID of the button that was clicked.

getDC(This)
getManager(This)

Return: The `wxAuiManager` this event is associated with.

getPane(This)

Return: The pane this event is associated with.

getVeto(This)

Return: true if this event was vetoed.

setButton(This, Button)

Sets the ID of the button clicked that triggered this event.

setCanVeto(This, Can_veto)

Sets whether or not this event can be vetoed.

setDC(This, Pdc)
setManager(This, Manager)

Sets the `wxAuiManager` this event is associated with.

setPane(This, Pane)

Sets the pane this event is associated with.

veto(This)

Equivalent to `veto(This, [])`.

veto/2

Cancels the action indicated by this event if `canVeto/1` is true.

# Types

Link to this type

# wxAuiManager()

View Source

    -type wxAuiManager() ::
              #wxAuiManager{type :: wxAuiManagerEvent:wxAuiManagerEventType(),
                            manager :: wxAuiManager:wxAuiManager(),
                            pane :: wxAuiPaneInfo:wxAuiPaneInfo(),
                            button :: integer(),
                            veto_flag :: boolean(),
                            canveto_flag :: boolean(),
                            dc :: wxDC:wxDC()}.

Link to this type

# wxAuiManagerEvent()

View Source

    -type wxAuiManagerEvent() :: wx:wx_object().

Link to this type

# wxAuiManagerEventType()

View Source

    -type wxAuiManagerEventType() ::
              aui_pane_button | aui_pane_close | aui_pane_maximize | aui_pane_restore | aui_pane_activated |
              aui_render | aui_find_manager.

# Functions

Link to this function

# canVeto(This)

View Source

    -spec canVeto(This) -> boolean() when This :: wxAuiManagerEvent().

Return: true if this event can be vetoed.

See: `veto/2`

Link to this function

# getButton(This)

View Source

    -spec getButton(This) -> integer() when This :: wxAuiManagerEvent().

Return: The ID of the button that was clicked.

Link to this function

# getDC(This)

View Source

    -spec getDC(This) -> wxDC:wxDC() when This :: wxAuiManagerEvent().

Link to this function

# getManager(This)

View Source

    -spec getManager(This) -> wxAuiManager:wxAuiManager() when This :: wxAuiManagerEvent().

Return: The `wxAuiManager` this event is associated with.

Link to this function

# getPane(This)

View Source

    -spec getPane(This) -> wxAuiPaneInfo:wxAuiPaneInfo() when This :: wxAuiManagerEvent().

Return: The pane this event is associated with.

Link to this function

# getVeto(This)

View Source

    -spec getVeto(This) -> boolean() when This :: wxAuiManagerEvent().

Return: true if this event was vetoed.

See: `veto/2`

Link to this function

# setButton(This, Button)

View Source

    -spec setButton(This, Button) -> ok when This :: wxAuiManagerEvent(), Button :: integer().

Sets the ID of the button clicked that triggered this event.

Link to this function

# setCanVeto(This, Can_veto)

View Source

    -spec setCanVeto(This, Can_veto) -> ok when This :: wxAuiManagerEvent(), Can_veto :: boolean().

Sets whether or not this event can be vetoed.

Link to this function

# setDC(This, Pdc)

View Source

    -spec setDC(This, Pdc) -> ok when This :: wxAuiManagerEvent(), Pdc :: wxDC:wxDC().

Link to this function

# setManager(This, Manager)

View Source

    -spec setManager(This, Manager) -> ok
                        when This :: wxAuiManagerEvent(), Manager :: wxAuiManager:wxAuiManager().

Sets the `wxAuiManager` this event is associated with.

Link to this function

# setPane(This, Pane)

View Source

    -spec setPane(This, Pane) -> ok when This :: wxAuiManagerEvent(), Pane :: wxAuiPaneInfo:wxAuiPaneInfo().

Sets the pane this event is associated with.

Link to this function

# veto(This)

View Source

    -spec veto(This) -> ok when This :: wxAuiManagerEvent().

Equivalent to `veto(This, [])`.

Link to this function

# veto/2

View Source

    -spec veto(This, [Option]) -> ok when This :: wxAuiManagerEvent(), Option :: {veto, boolean()}.

Cancels the action indicated by this event if `canVeto/1` is true.